Skip to main content
PATCH
Update a partner by ID

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

The ID of the resource to query by

Query Parameters

externalId
enum<string>
Available options:
enthuse,
justGiving,
londonMarathon,
runForCharity,
givestar,
goFundraise,
givenGain

Body

application/json
name
string

The name of the partner.

Minimum string length: 1
Pattern: ^(\S).+$
description
string

The description of the partner.

externalIds
PartnerExternalIds · object

External IDs of the partner. These can be configured in the event's settings if needed.

defaultMarketing
PartnerMarketing · object

Customize what participants see on the “Charity Opt-In” step on the registration form and on the charity marketing email.

specificMarketings
SpecificPartnerMarketing · object[]

Event specific marketing informations associated with this partner.

canCreateSubPartners
boolean

Whether this partner can create sub-partners.

Response

Default Response

A partner that was created under your organization, eg. a charity or a sponsor.

id
string
required

The unique ID of the partner.

name
string
required

The name of the partner.

Minimum string length: 1
Pattern: ^(\S).+$
contacts
PartnerContact · object[]
required

The contacts associated with this partner.

Minimum array length: 1
description
string

The description of the partner.

externalIds
PartnerExternalIds · object

External IDs of the partner. These can be configured in the event's settings if needed.

type
enum<string>
Available options:
CHARITY,
CORPORATE,
FRIENDS_AND_FAMILY,
MERCH_PARTNER,
SPONSOR
defaultMarketing
PartnerMarketing · object

Customize what participants see on the “Charity Opt-In” step on the registration form and on the charity marketing email.

specificMarketings
SpecificPartnerMarketing · object[]

Event specific marketing informations associated with this partner.

canCreateSubPartners
boolean

Whether this partner can create sub-partners.

createdAt
string

Represents a date and time in ISO 8601 format as a string.

The string should follow the format YYYY-MM-DDTHH:mm:ss.sssZ, where:

  • YYYY: Four-digit year
  • MM: Two-digit month (01-12)
  • DD: Two-digit day of the month (01-31)
  • T: Delimiter indicating the start of the time component
  • HH: Two-digit hour in 24-hour format (00-23)
  • mm: Two-digit minutes (00-59)
  • ss.sss: Seconds with milliseconds (00.000-59.999)
  • Z: UTC timezone designator

Example: To represent 11:30 AM on May 8th, 2026, the value would be: "2026-05-08T11:30:00.000Z".

Example:

"2026-05-08T11:30:00.000Z"

updatedAt
string

Represents a date and time in ISO 8601 format as a string.

The string should follow the format YYYY-MM-DDTHH:mm:ss.sssZ, where:

  • YYYY: Four-digit year
  • MM: Two-digit month (01-12)
  • DD: Two-digit day of the month (01-31)
  • T: Delimiter indicating the start of the time component
  • HH: Two-digit hour in 24-hour format (00-23)
  • mm: Two-digit minutes (00-59)
  • ss.sss: Seconds with milliseconds (00.000-59.999)
  • Z: UTC timezone designator

Example: To represent 11:30 AM on May 8th, 2026, the value would be: "2026-05-08T11:30:00.000Z".

Example:

"2026-05-08T11:30:00.000Z"